package fi.jumi.core.events.runListener;

import fi.jumi.actors.eventizers.Event;
import fi.jumi.actors.eventizers.EventToString;
import fi.jumi.core.runs.RunListener;
import java.io.Serializable;

public class OnInternalErrorEvent implements Event<RunListener>, Serializable {

    private final String arg0;
    private final Throwable arg1;

    public OnInternalErrorEvent(String arg0, Throwable arg1) {
        this.arg0 = arg0;
        this.arg1 = arg1;
    }

    public void fireOn(RunListener target) {
        target.onInternalError(arg0, arg1);
    }

    public String toString() {
        return EventToString.format("RunListener", "onInternalError", arg0, arg1);
    }
}
