package fi.jumi.core.events.runListener;

import fi.jumi.actors.eventizers.Event;
import fi.jumi.actors.eventizers.EventToString;
import fi.jumi.api.drivers.TestId;
import fi.jumi.core.runs.RunId;
import fi.jumi.core.runs.RunListener;
import java.io.Serializable;

public class OnTestFinishedEvent implements Event<RunListener>, Serializable {

    private final RunId arg0;
    private final TestId arg1;

    public OnTestFinishedEvent(RunId arg0, TestId arg1) {
        this.arg0 = arg0;
        this.arg1 = arg1;
    }

    public void fireOn(RunListener target) {
        target.onTestFinished(arg0, arg1);
    }

    public String toString() {
        return EventToString.format("RunListener", "onTestFinished", arg0, arg1);
    }
}
