package fi.jumi.core.events.runListener;

import fi.jumi.actors.eventizers.Event;
import fi.jumi.actors.eventizers.EventToString;
import fi.jumi.api.drivers.TestId;
import fi.jumi.core.runs.RunListener;
import java.io.Serializable;

public class OnTestFoundEvent implements Event<RunListener>, Serializable {

    private final TestId arg0;
    private final String arg1;

    public OnTestFoundEvent(TestId arg0, String arg1) {
        this.arg0 = arg0;
        this.arg1 = arg1;
    }

    public void fireOn(RunListener target) {
        target.onTestFound(arg0, arg1);
    }

    public String toString() {
        return EventToString.format("RunListener", "onTestFound", arg0, arg1);
    }
}
