package fi.jumi.core.events.suiteListener;

import fi.jumi.actors.eventizers.Event;
import fi.jumi.actors.eventizers.EventToString;
import fi.jumi.core.api.StackTrace;
import fi.jumi.core.api.SuiteListener;
import fi.jumi.core.runs.RunId;
import java.io.Serializable;

public class OnFailureEvent implements Event<SuiteListener>, Serializable {

    private final RunId arg0;
    private final StackTrace arg1;

    public OnFailureEvent(RunId arg0, StackTrace arg1) {
        this.arg0 = arg0;
        this.arg1 = arg1;
    }

    public void fireOn(SuiteListener target) {
        target.onFailure(arg0, arg1);
    }

    public String toString() {
        return EventToString.format("SuiteListener", "onFailure", arg0, arg1);
    }
}
